# VersionTask.BuildNumberAlgorithm

[This is preliminary documentation and subject to change.]

Defines possible algorithms to generate the build number.

### Fields

Field | Description
--- | ---
Increment | Increment an existing build number.
MonthDay | Use the number of months since start of project * 100 + current day in month as build number.
NoIncrement | Use an existing build number (and do not increment it).

### Requirements

Assembly: NAnt.Contrib.Tasks (0.93.5002.0)